=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.9
# by the following command:
#
#    pip-compile --resolver=backtracking requirements.in
#
alabaster==0.7.13
    # via sphinx
babel==2.12.1
    # via
    #   sphinx
    #   sphinx-intl
certifi==2025.1.31
    # via requests
charset-normalizer==3.0.1
    # via requests
click==8.1.3
    # via sphinx-intl
docutils==0.19
    # via
    #   myst-parser
    #   sphinx
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
importlib-metadata==7.1.0
    # via sphinx
jinja2==3.1.6
    # via
    #   myst-parser
    #   sphinx
markdown-it-py==2.2.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==2.1.2
    # via jinja2
mdit-py-plugins==0.3.4
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
myst-parser==0.19.0
    # via -r requirements.in
packaging==23.0
    # via sphinx
pygments==2.16.1
    # via sphinx
pyyaml==6.0
    # via myst-parser
requests==2.32.4
    # via sphinx
snowballstemmer==2.2.0
    # via sphinx
sphinx==5.3.0
    # via
    #   -r requirements.in
    #   myst-parser
    #   sphinx-intl
    #   sphinx-rtd-theme
sphinx-intl==2.1.0
    # via -r requirements.in
sphinx-rtd-theme==0.5.1
    # via -r requirements.in
sphinxcontrib-applehelp==1.0.2
    # via
    #   -r requirements.in
    #   sphinx
sphinxcontrib-devhelp==1.0.2
    # via sphinx
sphinxcontrib-htmlhelp==2.0.0
    # via
    #   -r requirements.in
    #   sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.3
    # via sphinx
sphinxcontrib-serializinghtml==1.1.5
    # via sphinx
urllib3==2.5.0
    # via requests
zipp==3.21.0
    # via importlib-metadata

# The following packages are considered to be unsafe in a requirements file:
# setuptools
