=== debian/changelog ===
pg-hint-plan-18 (1.8.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 18.
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 16:20:57 +0200

pg-hint-plan-18 (1.8.0-1) experimental; urgency=medium

  * pg-hint-plan for PostgreSQL 18.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Aug 2025 10:58:11 +0200

pg-hint-plan-17 (1.7.0-1) unstable; urgency=medium

  * pg-hint-plan for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 18:18:55 +0200

pg-hint-plan-16 (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1.

 -- Christoph Berg <myon@debian.org>  Sat, 31 Aug 2024 13:15:24 +0200

pg-hint-plan-16 (1.6.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Mon, 15 Apr 2024 10:20:10 +0200
