=== debian/rules ===
#!/usr/bin/make -f

export PG_SUPPORTED_VERSIONS=18
export PG_VIRTUALENV_ARGS=-oshared_preload_libraries=pg_stat_statements

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	dh_installdocs --all docs/README docs/*.md
