=== debian/watch ===
version=4
opts=uversionmangle=s/_/./g \
https://github.com/ossc-db/pg_hint_plan/tags .*/REL18_(.*).tar.gz
